MCP Gateway
ApiSkills

List catalog skills

List skills available in an external catalog (e.g., Anthropic's repo, skills.sh, or a GitHub URL).

GET
/api/v1/skills/catalog/{source}

Path Parameters

source*string

Query Parameters

search?|

Search by name or description

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/skills/catalog/string"
{
  "items": [
    {
      "name": "string",
      "description": "string",
      "source": "string",
      "source_url": "string",
      "author": "string",
      "version": "string",
      "tags": [
        "string"
      ],
      "license": "string",
      "files": [
        "string"
      ],
      "metadata": {}
    }
  ],
  "source": "string",
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}